> ## Documentation Index
> Fetch the complete documentation index at: https://edenai-fix-ask-ai-followups.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Features

> List all available features and their subfeatures.

Returns features that exist in both the registry (technically supported)
and database (have available providers).



## OpenAPI

````yaml /api-reference/v3-openapi.json get /v3/info
openapi: 3.1.0
info:
  title: Eden AI API V3
  version: 3.0.0
servers:
  - url: https://api.edenai.run
    description: Production server
security: []
paths:
  /v3/info:
    get:
      tags:
        - info
      summary: List Features
      description: |-
        List all available features and their subfeatures.

        Returns features that exist in both the registry (technically supported)
        and database (have available providers).
      operationId: list_features_v3_info_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FeaturesListResponse'
components:
  schemas:
    FeaturesListResponse:
      properties:
        features:
          items:
            $ref: '#/components/schemas/FeatureInfo'
          type: array
          title: Features
      type: object
      required:
        - features
      title: FeaturesListResponse
      description: Response for listing all features.
    FeatureInfo:
      properties:
        name:
          type: string
          title: Name
        fullname:
          type: string
          title: Fullname
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        subfeatures:
          items:
            $ref: '#/components/schemas/SubfeatureInfo'
          type: array
          title: Subfeatures
      type: object
      required:
        - name
        - fullname
        - subfeatures
      title: FeatureInfo
      description: Info about a feature and its subfeatures.
    SubfeatureInfo:
      properties:
        name:
          type: string
          title: Name
        fullname:
          type: string
          title: Fullname
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        mode:
          type: string
          enum:
            - sync
            - async
          title: Mode
        models:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Models
          default: []
      type: object
      required:
        - name
        - fullname
        - mode
      title: SubfeatureInfo
      description: Info about a subfeature.

````